USVG(1)

NAME
usvg - usvg (micro SVG) is an SVG simplification tool.

DESCRIPTION
usvg (micro SVG) is an SVG simplification tool.

  USAGE:

usvg [OPTIONS] <in-svg> <out-svg>
    # from file to file

usvg [OPTIONS] <in-svg> -c
    # from file to stdout

usvg [OPTIONS] - <out-svg>
    # from stdin to file

usvg [OPTIONS] - -c
    # from stdin to stdout

  OPTIONS:

-h, --help
    Prints help information

-V, --version
    Prints version information

-c  Prints the output SVG to the stdout

--dpi DPI
    Sets the resolution [default: 96] [possible values: 10..4000 (inclusive)]

--stylesheet PATH
    Inject a stylesheet that should be used when resolving CSS attributes.

--languages LANG
    Sets a comma-separated list of languages that will be used during the 'systemLanguage' attribute resolving Examples: 'en-US', 'en-US, ru-RU', 'en, ru' [default: en]

--shape-rendering HINT
    Selects the default shape rendering method [default: geometricPrecision] [possible values: optimizeSpeed, crispEdges, geometricPrecision]

--text-rendering HINT
    Selects the default text rendering method [default: optimizeLegibility] [possible values: optimizeSpeed, optimizeLegibility, geometricPrecision]

--image-rendering HINT
    Selects the default image rendering method [default: optimizeQuality] [possible values: optimizeQuality, optimizeSpeed, smooth, high-quality, crisp-edges, pixelated]

--resources-dir DIR
    Sets a directory that will be used during relative paths resolving. Expected to be the same as the directory that contains the SVG file, but can be set to any. [default: input file directory or none when reading from stdin]

--font-family FAMILY
    Sets the default font family that will be used when no 'font-family' is present [default: Times New Roman]

--font-size SIZE
    Sets the default font size that will be used when no 'font-size' is present [default: 12] [possible values: 1..192 (inclusive)]

--serif-family FAMILY
    Sets the 'serif' font family. Will be used when no 'font-family' is present [default: Times New Roman]

--sans-serif-family FAMILY
    Sets the 'sans-serif' font family [default: Arial]

--cursive-family FAMILY
    Sets the 'cursive' font family [default: Comic Sans MS]

--fantasy-family FAMILY
    Sets the 'fantasy' font family [default: Impact]

--monospace-family FAMILY
    Sets the 'monospace' font family [default: Courier New]

--use-font-file PATH
    Load a specified font file into the fonts database. Will be used during text to path conversion. This option can be set multiple times

--use-fonts-dir PATH
    Loads all fonts from the specified directory into the fonts database. Will be used during text to path conversion. This option can be set multiple times

--skip-system-fonts
    Disables system fonts loading. You should add some fonts manually using --use-font-file and/or --use-fonts-dir Otherwise, text elements will not be processes

--list-fonts
    Lists successfully loaded font faces. Useful for debugging

--default-width LENGTH
    Sets the default width of the SVG viewport. Like the '--default-height' option, this option controls what size relative units in the document will use as a base if there is no viewBox and document width or height are relative. [values: 1..4294967295 (inclusive)] [default: 100]

--default-height LENGTH
    Sets the default height of the SVG viewport. Refer to the explanation of the '--default-width' option. [values: 1..4294967295 (inclusive)] [default: 100]

--preserve-text
    Do not convert text into paths.

--id-prefix
    Adds a prefix to each ID attribute

--indent INDENT
    Sets the XML nodes indent [values: none, 0, 1, 2, 3, 4, tabs] [default: 4]

--attrs-indent INDENT
    Sets the XML attributes indent [values: none, 0, 1, 2, 3, 4, tabs] [default: none]

--coordinates-precision NUM
    Set the coordinates numeric precision. Smaller precision can lead to a malformed output in some cases [values: 2..8 (inclusive)] [default: 8]

--transforms-precision NUM
    Set the transform values numeric precision. Smaller precision can lead to a malformed output in some cases [values: 2..8 (inclusive)] [default: 8]

--quiet
    Disables warnings

  ARGS:

<in-svg>
    Input file

<out-svg>
    Output file